Subject: bug#66290: transmission-daemon-service-type not serving web interface

From: Alan Manuel Gloria <[email-masked]>
Date: Thu, 30 Nov 2023 10:44:15 +0800

Just did a `guix pull` and rebuilt the system with `guix system
reconfigure` (which took a few days, seems there was a lot of changes), and
now the transmission web UI is working. So probably I was just before that
change.

Can probably close this bug.

On Thu, Nov 30, 2023 at 12:51 AM Clément Lassieur <[email-masked]>
wrote:

> On Sun, Nov 26 2023, Alan Manuel Gloria wrote:
>
> > The necessary files are in the "gui" output, with a relative path of
> "/share/transmission/public_html". It seems to have been fixed by Clément
> > Lassieur <[email-masked]> in commit
> 27ec9eeceb971afe11aae4f24ceb8764f1735634 (who I CCed to this) which
> predates this bug report
> > and my own experience, which is weird, implying that the fix has somehow
> gotten broken again afterwards somehow.
> >
> > On Sun, Nov 26, 2023 at 7:39 AM Alan Manuel Gloria <[email-masked]>
> wrote:
> >
> >  I am seeing the same thing once I updated Guix. This was not broken a
> year ago. Unfortunately, Guix maintainers are slow enough that
> >  your best bet is to simply downgrade to a Guix commit from a year ago.
>
> Hi, does it work if you just run `transmission-daemon -f` (and maybe you
> can try `guix shell -CN transmission -- transmission-daemon -f` to be
> sure the correct one is used) and browse http://localhost:9091?
>
> Also, on which guix commit are you?
>
> Thanks,
> Clément
>